package com.ccwangluo.cc_quickly

import android.app.Application
import com.ccwangluo.accelerator.utils.PhoneUtils
import com.hjq.toast.ToastUtils
import com.xuexiang.xpage.PageConfig
import com.xuexiang.xpage.base.XPageActivity


class App : Application(){
    override fun onCreate() {
        super.onCreate()
        PageConfig.getInstance() //      //页面注册,默认不设置的话使用的就是自动注册
            //      .setPageConfiguration(new AutoPageConfiguration())
            .debug("PageLog") //开启调试
            .setContainActivityClazz(XPageActivity::class.java) //设置默认的容器Activity
            .init(this)
        PhoneUtils.initSdk(this)
        // 初始化 Toast 框架
        ToastUtils.init(this)

    }
}